//
// C++ Interface: kpgdatatabledialog
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGDATATABLEDIALOG_H
#define KPGDATATABLEDIALOG_H

#include "kpgdatatabledialogbase.h"

class QDataTable;
class KPGConnection;

/**
Dialog for editing SQL result in DataTable (Grid)

@author Lumir Vanek
*/

class KPGDataTableDialog : public KPGDataTableDialogBase
{
Q_OBJECT
public:
    KPGDataTableDialog(QWidget *parent, const char *name, KPGConnection *);
    ~KPGDataTableDialog();

protected:
    QDataTable* m_pDataTable;
    
public slots:
    virtual void displayData();
};

#endif
